//Source file: CancelMessageResEvent.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the cancelMessageRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class CancelMessageResEvent extends java.util.EventObject {

    /**
     * Constructor for the CancelMessageResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public CancelMessageResEvent(java.lang.Object source) {

        super(source);
 
    }

}

