//Source file: GetMailboxInfoPropertiesListener.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the GetMailboxInfoProperties activity object.<BR>
 *
 */
public interface GetMailboxInfoPropertiesListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the getMailboxInfoPropertiesRes() method on 
    * the callback interface.
    *
    * @param  getMailboxInfoPropertiesResEvent  Reference to a GetMailboxInfoPropertiesResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetMailboxInfoPropertiesResEvent(org.csapi.jr.se.mmm.GetMailboxInfoPropertiesResEvent getMailboxInfoPropertiesResEvent);


   /**
    * Called due to a Gateway initiated call to the getMailboxInfoPropertiesErr() method on 
    * the callback interface.
    *
    * @param  getMailboxInfoPropertiesErrEvent  Reference to a GetMailboxInfoPropertiesErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetMailboxInfoPropertiesErrEvent(org.csapi.jr.se.mmm.GetMailboxInfoPropertiesErrEvent getMailboxInfoPropertiesErrEvent);


}
