//Source file: MmmInvalidDeliveryTypeException.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * The delivery mechanism specified is invalid or is not supported
 *
 */
public class MmmInvalidDeliveryTypeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public MmmInvalidDeliveryTypeException() {
        super(); 
    }

    public MmmInvalidDeliveryTypeException(String message) {
        super(message); 
    }

    public MmmInvalidDeliveryTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmInvalidDeliveryTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmInvalidDeliveryTypeException

