//Source file: MmmInvalidMailboxException.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Chosen Mailbox address is invalid
 *
 */
public class MmmInvalidMailboxException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public MmmInvalidMailboxException() {
        super(); 
    }

    public MmmInvalidMailboxException(String message) {
        super(message); 
    }

    public MmmInvalidMailboxException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmInvalidMailboxException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmInvalidMailboxException

