//Source file: MmmInvalidHeaderException.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * The message header is invalid
 *
 */
public class MmmInvalidHeaderException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public MmmInvalidHeaderException() {
        super(); 
    }

    public MmmInvalidHeaderException(String message) {
        super(message); 
    }

    public MmmInvalidHeaderException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmInvalidHeaderException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmInvalidHeaderException

