//Source file: MmmMaxMessageSizeExceededException.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * The maximum size of a message has been exceeded
 *
 */
public class MmmMaxMessageSizeExceededException extends org.csapi.jr.se.mmm.MultiMediaMessagingException {

    private Throwable _cause = null;

    public MmmMaxMessageSizeExceededException() {
        super(); 
    }

    public MmmMaxMessageSizeExceededException(String message) {
        super(message); 
    }

    public MmmMaxMessageSizeExceededException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmMaxMessageSizeExceededException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmMaxMessageSizeExceededException

